Player = Object:extend()

function Player:new()
    self.image = love.graphics.newImage("img/panda.png")
    self.x = 300
    self.y = 20
    self.speed = 500
    self.width = self.image:getWidth()
end

function Player:update(dt)
    if love.keyboard.isDown("left") then
        self.x = self.x - self.speed * dt
    elseif love.keyboard.isDown("right") then
        self.x = self.x + self.speed * dt
    end
    
    --Checking if the player collides with the borders
    if self.x < 0 then
        self.x = 0
    end

    local wWidth, wHeight = love.graphics.getDimensions()
 
    if self.x > wWidth - self.width then
        self.x = wWidth - self.width
    end

end

function Player:draw()
    love.graphics.draw(self.image, self.x, self.y)
end

function Player:keyPressed(key)
    --If the spacebar is pressed
    if key == "space" then
        --Put a new instance of Bullet inside listOfBullets.
        table.insert(listOfBullets, Bullet(self.x + (self.width / 2) , self.y))
    end
end